aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/full-test.sh2
-rwxr-xr-xscripts/test-e2e.sh11
2 files changed, 13 insertions, 0 deletions
diff --git a/scripts/full-test.sh b/scripts/full-test.sh
index 003f217..742b1e3 100755
--- a/scripts/full-test.sh
+++ b/scripts/full-test.sh
@@ -8,6 +8,8 @@ cargo build --all --all-targets --all-features
cargo clippy --all-targets --all-features
cargo test --all-targets --all-features -- --nocapture
+./scripts/test-e2e.sh
+
pushd lib/xixanta
cargo +nightly fuzz run fuzz_target_parser -- -max_total_time=180
cargo +nightly fuzz run fuzz_target_assembler -- -max_total_time=180
diff --git a/scripts/test-e2e.sh b/scripts/test-e2e.sh
new file mode 100755
index 0000000..32bd76f
--- /dev/null
+++ b/scripts/test-e2e.sh
@@ -0,0 +1,11 @@
+#!/usr/bin/env sh
+
+set -ex
+
+rm -rf tests/out/
+mkdir -p tests/out/
+
+cargo build
+
+./target/debug/nasm -c nrom -Werror -o tests/out/sprite.nes tests/src/sprite.s
+diff tests/out/sprite.nes tests/bin/sprite.nes